| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Gaudi::Parsers::SkipperGrammar::definition< ScannerT > Struct Template Reference

`#include <Grammars.h>`

List of all members.

## Detailed Description

### template<typename ScannerT>
struct Gaudi::Parsers::SkipperGrammar::definition< ScannerT >

Definition at line 302 of file Grammars.h.

## Public Member Functions
| definition (SkipperGrammar const &self)
rule< ScannerT > const & | start () const
## Public Attributes
rule< ScannerT > | skip

## Constructor & Destructor Documentation

template<typename ScannerT>

Gaudi::Parsers::SkipperGrammar::definition< ScannerT >::definition | ( | SkipperGrammar const & | self | ) | `[inline]`

Definition at line 304 of file Grammars.h.

References Gaudi::Parsers::SkipperGrammar::definition< ScannerT >::skip, and Gaudi::Parsers::SkipperGrammar::skipnewline().

    00305         {
    00306           if ( self.skipnewline() )
    00307           {
    00308             skip
    00309               =   space_p
    00310               |   comment_p("//")     // C++ comment
    00311               |   comment_p("/*", "*/")     // C comment
    00312               ;
    00313           }
    00314           else
    00315           {
    00316             skip
    00317               =   (space_p-eol_p)
    00318               |   comment_p("//")     // C++ comment
    00319               |   comment_p("/*", "*/")     // C comment
    00320               ;
    00321           }
    00322         }

## Member Function Documentation

template<typename ScannerT>

rule<ScannerT> const& Gaudi::Parsers::SkipperGrammar::definition< ScannerT >::start | ( |  | ) | const`[inline]`

Definition at line 324 of file Grammars.h.

References Gaudi::Parsers::SkipperGrammar::definition< ScannerT >::skip.

    00324 { return skip; }

## Member Data Documentation

template<typename ScannerT>

rule<ScannerT> Gaudi::Parsers::SkipperGrammar::definition< ScannerT >::skip

Definition at line 323 of file Grammars.h.

Referenced by Gaudi::Parsers::SkipperGrammar::definition< ScannerT >::definition(), and Gaudi::Parsers::SkipperGrammar::definition< ScannerT >::start().

The documentation for this struct was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/Grammars.h